// ---=== Sky ===--
// q3map_sunExt <red> <green> <blue> <intensity> <degrees> <elevation> <deviance> <samples>
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// deviance: The number of degrees for the half-shadow. General values up to 2 or 3 are acceptable. 
// The real sun has a solid angle of about half a degree.
// samples: the number of random jitters distributed over the solid arc (~16).
// this sky must be compiled with Q3Map2 2.5.11 or later using -skyfix

textures/ut4_katooine/kat_katsky1
{
	qer_editorimage env/ut4_katooine/box374_ft.tga
	
	skyparms env/ut4_katooine/box374 128 -
	
	q3map_sunEXT 1 1 1 220 0 90 1 16
//	q3map_lightRGB 0.7 0.8 1.0
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 250 3
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps

}

// ---=== My Logo ===---

textures/ut4_katooine/kat_lhlogo
{
	qer_editorimage textures/ut4_katooine/lh_logo.tga
	surfaceparm nonsolid
//	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	cull none
	q3map_surfacelight 100

	{
		map textures/ut4_katooine/lh_logo.tga
		blendFunc blend
	}
}

// ---=== Holopanels ===---

textures/ut4_katooine/kat_holop1_b
{
	qer_editorimage textures/ut4_katooine/holopanel1/holopanel_b1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
	deformVertexes autosprite2

	{
		animMap 12 textures/ut4_katooine/holopanel1/holopanel_b1.jpg textures/ut4_katooine/holopanel1/holopanel_b1.jpg textures/ut4_katooine/holopanel1/holopanel_b1.jpg textures/ut4_katooine/holopanel1/holopanel_b2.jpg textures/ut4_katooine/holopanel1/holopanel_b1.jpg textures/ut4_katooine/holopanel1/holopanel_b3.jpg textures/ut4_katooine/holopanel1/holopanel_b1.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_katooine/kat_holop1_r
{
	qer_editorimage textures/ut4_katooine/holopanel1/holopanel_r1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
	deformVertexes autosprite2

	{
		animMap 12 textures/ut4_katooine/holopanel1/holopanel_r1.jpg textures/ut4_katooine/holopanel1/holopanel_r1.jpg textures/ut4_katooine/holopanel1/holopanel_r1.jpg textures/ut4_katooine/holopanel1/holopanel_r2.jpg textures/ut4_katooine/holopanel1/holopanel_r1.jpg textures/ut4_katooine/holopanel1/holopanel_r3.jpg textures/ut4_katooine/holopanel1/holopanel_r1.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_katooine/kat_holop2_b
{
	qer_editorimage textures/ut4_katooine/holopanel2/katid_b1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
	deformVertexes autosprite2


	{
		animMap 10 textures/ut4_katooine/holopanel2/katid_b1.jpg textures/ut4_katooine/holopanel2/katid_b1.jpg textures/ut4_katooine/holopanel2/katid_b1.jpg textures/ut4_katooine/holopanel2/katid_b2.jpg textures/ut4_katooine/holopanel2/katid_b1.jpg textures/ut4_katooine/holopanel2/katid_b3.jpg textures/ut4_katooine/holopanel2/katid_b1.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_katooine/kat_holop2_r
{
	qer_editorimage textures/ut4_katooine/holopanel2/katid_r1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
	deformVertexes autosprite2


	{
		animMap 10 textures/ut4_katooine/holopanel2/katid_r1.jpg textures/ut4_katooine/holopanel2/katid_r1.jpg textures/ut4_katooine/holopanel2/katid_r1.jpg textures/ut4_katooine/holopanel2/katid_r2.jpg textures/ut4_katooine/holopanel2/katid_r1.jpg textures/ut4_katooine/holopanel2/katid_r3.jpg textures/ut4_katooine/holopanel2/katid_r1.jpg
		blendFunc GL_ONE GL_ONE
	}
}


textures/ut4_katooine/kat_paw_b
{
	qer_editorimage textures/ut4_katooine/katprint_b
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		map textures/ut4_katooine/katprint_b.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_katooine/kat_paw_r
{
	qer_editorimage textures/ut4_katooine/katprint_r
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		map textures/ut4_katooine/katprint_r.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_katooine/kat_paw_y
{
	qer_editorimage textures/ut4_katooine/katprint_y
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		map textures/ut4_katooine/katprint_y.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_katooine/kat_navette
{
	qer_editorimage textures/ut4_katooine/kw_navette1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		map textures/ut4_katooine/kw_navette1.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_katooine/kat_navettep
{
	qer_editorimage textures/ut4_katooine/kw_navette2
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		map textures/ut4_katooine/kw_navette2.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_katooine/kat_pawdpow
{
	qer_editorimage textures/ut4_katooine/kw_pawd1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		map textures/ut4_katooine/kw_pawd1.jpg
		blendFunc GL_ONE GL_ONE
	}
}


// ---=== Teleorbs ===---

textures/ut4_katooine/kat_teleborb
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_surfacelight 1000
	qer_editorimage textures/ut4_katooine/soc_blue_telep.jpg
	qer_trans 0.4

	cull none

	{
		map textures/ut4_katooine/soc_blue_telep.jpg
		tcmod rotate 360
		tcmod stretch sin 1 .1 0 .1
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_katooine/kat_telerorb
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_surfacelight 1000
	qer_editorimage textures/ut4_katooine/soc_red_telep.jpg
	qer_trans 0.4

	cull none

	{
		map textures/ut4_katooine/soc_red_telep.jpg
		tcmod rotate 360
		tcmod stretch sin 1 .1 0 .1
		blendFunc GL_ONE GL_ONE
	}
}

// ---=== No Damage ===---

textures/ut4_katooine/kw_sand1:q3map
{
	surfaceparm nodamage
}

textures/ut4_katooine/kw_sirthroat1:q3map
{
	surfaceparm nodamage
}

textures/ut4_katooine/pr_sand008:q3map
{
	surfaceparm nodamage
}

textures/ut4_katooine/pr_sand008s:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

// ---=== non-solids ===---

textures/ut4_katooine/kat_cement1_ns

{
	qer_editorimage textures/ut4_katooine/pr_concrete034.jpg
	qer_trans 0.9
	surfaceparm nonsolid
	surfaceparm lightfilter
	surfaceparm trans

	{
		map textures/ut4_katooine/pr_concrete034.jpg
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
        }
}

textures/ut4_katooine/kat_fade_blue1
{
	qer_editorimage textures/ut4_katooine/kw_fade_blue.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	q3map_surfacelight 300

	{
		map textures/ut4_katooine/kw_fade_blue.tga
		blendFunc GL_ONE GL_ONE

        }
}

textures/ut4_katooine/kat_fade_green1
{
	qer_editorimage textures/ut4_katooine/kw_fade_green.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	q3map_surfacelight 300

	{
		map textures/ut4_katooine/kw_fade_green.tga
		blendFunc GL_ONE GL_ONE

        }
}

textures/ut4_katooine/kat_fade_red1
{
	qer_editorimage textures/ut4_katooine/kw_fade_red.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	q3map_surfacelight 300

	{
		map textures/ut4_katooine/kw_fade_red.tga
		blendFunc GL_ONE GL_ONE

        }
}

textures/ut4_katooine/kat_metal1_ns

{
	qer_editorimage textures/ut4_katooine/pr_metal067.jpg
	qer_trans 0.9
	surfaceparm nonsolid
	surfaceparm lightfilter
	surfaceparm trans

	{
		map textures/ut4_katooine/pr_metal067.jpg
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
        }
}

textures/ut4_katooine/kat_powerwire_ns
{
	qer_editorimage textures/ut4_katooine/del_powerwire01.tga  
	surfaceparm noimpact  
	surfaceparm nonsolid
	surfaceparm nodlight
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_katooine/del_powerwire01.tga
		blendFunc filter
	}
}


textures/ut4_katooine/kat_lig_ropB2kns
{
	qer_editorimage textures/ut4_katooine/soc_064lig30ba.tga
	q3map_lightimage textures/ut4_katooine/soc_064lig30b.blend.tga
	q3map_surfacelight 2000
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/ut4_katooine/soc_064lig30ba.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katooine/soc_064lig30b.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_katooine/kat_lig_ropR2kns
{
	qer_editorimage textures/ut4_katooine/soc_064lig30ra.tga
	q3map_lightimage textures/ut4_katooine/soc_064lig30r.blend.tga
	q3map_surfacelight 2000
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/ut4_katooine/soc_064lig30ra.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katooine/soc_064lig30r.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_katooine/kat_lig_ropY2kns
{
	qer_editorimage textures/ut4_katooine/soc_064lig30ya.tga
	q3map_lightimage textures/ut4_katooine/soc_064lig30y.blend.tga
	q3map_surfacelight 2000
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/ut4_katooine/soc_064lig30ya.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katooine/soc_064lig30y.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_katooine/kat_socbeam1_ns

{
	qer_editorimage textures/ut4_katooine/soc_032-10a.tga
	surfaceparm nonsolid
	surfaceparm lightfilter
	surfaceparm trans

	{
		map textures/ut4_katooine/soc_032-10a.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
        }
}

// ---=== Glass ===---

textures/ut4_katooine/kat_glass_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	cull none

	{
		map textures/ut4_katooine/glass3.tga
		blendFunc add
		tcGen environment
	}
	{
		map textures/ut4_katooine/cloudref5.jpg
		blendfunc add
		tcMod scale 2 2
		tcGen environment
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ut4_katooine/kat_glass_ns
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	cull none

	{
		map textures/ut4_katooine/glass3.tga
		blendFunc add
		tcGen environment
	}
	{
		map textures/ut4_katooine/cloudref5.jpg
		blendfunc add
		tcMod scale 2 2
		tcGen environment
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ut4_katooine/kat_glass_slicknd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam_slick.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm slick
	surfaceparm trans
	cull none

	{
		map textures/ut4_katooine/glass3.tga
		blendFunc add
		tcGen environment
	}
	{
		map textures/ut4_katooine/cloudref5.jpg
		blendfunc add
		tcMod scale 2 2
		tcGen environment
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

// ---=== Ladderclip ===---

textures/ut4_katooine/kat_ladderclip
{
	qer_editorimage textures/kittywumpus/kw_ladder.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

// ---=== Light Emitting Textures ===---

textures/ut4_katooine/e6basicstrip_blue
{
	qer_editorimage textures/ut4_katooine/e6basicstrip_blue.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
	surfaceparm nonsolid
		
	{
		map textures/ut4_katooine/e6basicstrip_blue.tga
	}
}

textures/ut4_katooine/e6basicstrip_green
{
	qer_editorimage textures/ut4_katooine/e6basicstrip_green.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_katooine/e6basicstrip_green.tga
	}
}

textures/ut4_katooine/e6basicstrip_orange
{
	qer_editorimage textures/ut4_katooine/e6basicstrip_orange.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_katooine/e6basicstrip_orange.tga
	}
}

textures/ut4_katooine/e6basicstrip_purple
{
	qer_editorimage textures/ut4_katooine/e6basicstrip_purple.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
	surfaceparm nonsolid
		
	{
		map textures/ut4_katooine/e6basicstrip_purple.tga
	}
}

textures/ut4_katooine/e6basicstrip_red
{
	qer_editorimage textures/ut4_katooine/e6basicstrip_red.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
	surfaceparm nonsolid
		
	{
		map textures/ut4_katooine/e6basicstrip_red.tga
	}
}

textures/ut4_katooine/e6basicstrip_white
{
	qer_editorimage textures/ut4_katooine/e6basicstrip_white.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
	surfaceparm nonsolid
		
	{
		map textures/ut4_katooine/e6basicstrip_white.tga
	}
}

textures/ut4_katooine/e6basicstrip_yellow
{
	qer_editorimage textures/ut4_katooine/e6basicstrip_yellow.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_katooine/e6basicstrip_yellow.tga
	}
}

textures/ut4_katooine/kat_e5_crete_blue
{
	qer_editorimage textures/ut4_katooine/e5_crete_blue.tga
//	surfaceparm nomarks
	q3map_surfacelight 100
	surfaceparm nodamage

	{
		map textures/ut4_katooine/e5_crete_blue.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_katooine/e5_crete_blue_blend.tga
		blendfunc add
	}
}

textures/ut4_katooine/kat_e5_crete_red
{
	qer_editorimage textures/ut4_katooine/e5_crete_red.tga
//	surfaceparm nomarks
	q3map_surfacelight 100
	surfaceparm nodamage

	{
		map textures/ut4_katooine/e5_crete_red.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_katooine/e5_crete_red_blend.tga
		blendfunc add
	}
}

textures/ut4_katooine/kat_gothbara
{
	qer_editorimage textures/ut4_katooine/lh_gothbar_amb.jpg
	q3map_lightimage textures/ut4_katooine/lh_gothbar_blenda.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/ut4_katooine/lh_gothbar_amb.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katooine/lh_gothbar_blenda.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_katooine/kat_gothbarb
{
	qer_editorimage textures/ut4_katooine/lh_gothbar_blu.jpg
	q3map_lightimage textures/ut4_katooine/lh_gothbar_blendb.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/ut4_katooine/lh_gothbar_blu.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katooine/lh_gothbar_blendb.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_katooine/kat_gothbarr
{
	qer_editorimage textures/ut4_katooine/lh_gothbar_red.jpg
	q3map_lightimage textures/ut4_katooine/lh_gothbar_blendr.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/ut4_katooine/lh_gothbar_red.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katooine/lh_gothbar_blendr.tga
		blendfunc GL_ONE GL_ONE
	}
}

// ---=== shiny ===---

textures/ut4_katooine/kat_chrome1
{
	qer_editorimage textures/ut4_katooine/chrome1.tga
	surfaceparm nodamage

	{
		map textures/ut4_katooine/chrome_env.tga
		rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_katooine/chrome1.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

// ---=== SLIME!!! ===---

textures/ut4_katooine/kat_slime
{
	qer_editorimage textures/ut4_katooine/liquids/slime_grn.tga
	q3map_lightimage textures/ut4_katooine/liquids/slime_grn.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	qer_trans 0.5

	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans	

	q3map_surfacelight 300
	q3map_tessSize 64
	cull disable

	deformVertexes wave 256 sin 0 1 0.5 0.5
	{
		map textures/ut4_katooine/liquids/slime_grn.tga
		tcMod turb 0.3 0.2 1 0.05
		tcMod scroll -0.1 0.01
	}
	{
		map textures/ut4_katooine/liquids/slime_grnc.tga
		blendfunc add
		tcMod turb 0.2 0.1 1 0.05
		tcMod scale 0.5 0.5
		tcMod scroll 0.1 0.01
	}
	{
		map textures/ut4_katooine/liquids/slime_grn.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb 0.2 0.1 0.1 0.2
		tcMod scale 0.05 0.05
		tcMod scroll 0.08 0.01
	}	
}

// ---=== Clouds/Fog ===---

textures/ut4_katooine/kat_cloud1

{
	qer_editorimage textures/ut4_katooine/kw_clouds2.tga
	qer_trans 0.9
	qer_nocarve

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap

	deformVertexes wave 16 sin 0 3 0 .5

	{
		map textures/ut4_katooine/kw_clouds2.tga
		blendfunc  GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 3 2
		tcMod scroll 0.025 -0.0325
	}

}

// ---=== throat ===---

textures/ut4_katooine/kat_throat1
{
	qer_editorimage textures/ut4_katooine/kw_sirthroat1.jpg
	surfaceparm nonsolid
	surfaceparm lightfilter
	surfaceparm trans

	deformVertexes wave 16 sin 0 3 0 .5
	{
		map textures/ut4_katooine/kw_sirthroat1.jpg
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
        }

}

textures/ut4_katooine/e8bgrate02
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	cull disable
	{
		map textures/ut4_katooine/e8bgrate02.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/ut4_katooine/kat_floor_grate
{
	qer_editorimage textures/ut4_katooine/grate_metal01d.tga
        surfaceparm trans
        surfaceparm nonsolid
        surfaceparm playerclip
	surfaceparm nodamage
//	cull none
        nopicmip

	{
		map textures/ut4_katooine/grate_metal01d.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//soc textures

//**********************************************************************//
// LIGHT 064 - 03 : Double big lights	 				//
//**********************************************************************//
textures/ut4_katooine/kat_lig_064b2k
{
	qer_editorimage textures/ut4_katooine/soc_064lig22ba.tga
	q3map_lightimage textures/ut4_katooine/soc_064lig22b.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_katooine/soc_064lig22ba.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katooine/soc_064lig22b.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_katooine/kat_lig_064r2k
{
	qer_editorimage textures/ut4_katooine/soc_064lig22ra.tga
	q3map_lightimage textures/ut4_katooine/soc_064lig22r.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_katooine/soc_064lig22ra.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katooine/soc_064lig22r.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_katooine/kat_lig_064y2k
{
	qer_editorimage textures/ut4_katooine/soc_064lig22ya.tga
	q3map_lightimage textures/ut4_katooine/soc_064lig22y.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_katooine/soc_064lig22ya.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katooine/soc_064lig22y.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_katooine/kat_lig_ropB2k
{
	qer_editorimage textures/ut4_katooine/soc_064lig30ba.tga
	q3map_lightimage textures/ut4_katooine/soc_064lig30b.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_katooine/soc_064lig30ba.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katooine/soc_064lig30b.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_katooine/kat_lig_ropR2k
{
	qer_editorimage textures/ut4_katooine/soc_064lig30ra.tga
	q3map_lightimage textures/ut4_katooine/soc_064lig30r.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_katooine/soc_064lig30ra.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katooine/soc_064lig30r.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_katooine/kat_lig_ropY2k
{
	qer_editorimage textures/ut4_katooine/soc_064lig30ya.tga
	q3map_lightimage textures/ut4_katooine/soc_064lig30y.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_katooine/soc_064lig30ya.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katooine/soc_064lig30y.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

// ===--- non-solid tunnel lights ===---

textures/ut4_katooine/kat_lig_128y2k
{
	qer_editorimage textures/ut4_katooine/soc_sqrlig02yc.tga
	q3map_lightimage textures/ut4_katooine/soc_sqrlig02y2.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm detail

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_katooine/soc_sqrlig02yc.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katooine/soc_sqrlig02y2.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sin .3 .1 0 0.5
	}
}